System.ServiceModel 4.0.0.0 System.Object

This is an abstract class and cannot be instantiated directly. It is used as the base class for the following syndication content types:

A base class that represents syndication content.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified instance.

  The instance to use to initialize the new instance.
- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added.

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. The syndication object model allows you to add custom attributes to a syndication content type (for example, ). When serialized to Atom 1.0, these attributes appear within the <content> element. When serialized to RSS 2.0, these attribute are ignored.

  Gets the attribute extensions for this content.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationContent To be added.

  Creates a copy of the instance.

  A copy of the instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent ``

  The string passed into this method should contain HTML.

  Creates a new instance with the specified HTML content.

  A instance.

  The text of the content.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent `` To be added.

  Creates a new instance with the specified plain text content.

  A new instance.

  The plain text content.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.UrlSyndicationContent `` ``

  The media type parameter can be set to any known MIME type value as defined in RFC 2046.

  Creates a new instance with the specified and media type.

  A new instance.

  The of the content. The media type of the content.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent `` To be added.

  Creates a new instance with the specified XHTML content.

  A new instance.

  The XHTML content.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.XmlSyndicationContent `` To be added.

  Creates a new instance with the specified data contract object.

  A new instance.

  The data contract object.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.XmlSyndicationContent `` To be added. To be added.

  Creates XML syndication content.

  An instance of the class that contains the new content.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.XmlSyndicationContent `` `` To be added.

  Creates a new instance with the specified data contract object and data contract serializer.

  A new instance.

  The data contract object. The data contract serializer.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.XmlSyndicationContent `` `` To be added.

  Creates a new instance with the specified object and XML serializer.

  A new instance.

  The object. The XML serializer.
- Property
  4.0.0.0
  System.String To be added.

  This property is abstract, so it must be accessed on an instance of a syndication content type (a class derived from ). The dnprdnshort defines the following syndication content types:

  This class contains a number of static helper methods for creating the various types of syndication content:

  Gets the syndication content type.

- Method
  4.0.0.0
  System.Void ``

  This method only writes the content contained in the .

  Writes the contents of this object to the specified .

  The to write to.
- Method
  4.0.0.0
  System.Void `` `` ``

  The content contained in this object is written within the specified outer element.

  Writes the contents of this object to the specified within the specified element and element namespace.

  The to write to. The name of the element. The namespace of the element.